Description: Use the packaged libmemcached
 Uses the libmemcached packaged for Debian rather than compiling the bundled
 source code.
Author: Christopher Hoskin <mans0954@debian.org>
Forwarded: not-needed
Last-Update: 2015-10-07
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -16,7 +16,7 @@
     }
 }
 
-my $lmcd_src = "src/libmemcached";
+my $lmcd_src = "src";
 GetOptions(
     'g!'    => \my $opt_g,      # enable debugging
     'd!'    => \my $opt_d,      # debug Makefile.PL
@@ -31,15 +31,16 @@
 
 my $lmcd_api_ver = "1.0"; # eg $lmcd_src/libmemcached-$lmcd_api_ver/
 my $lmcd_inst = getcwd()."/src_inst";
-my $lmcd_built_lib = "$lmcd_inst/lib/libmemcached$Config{lib_ext}";
-my $is_developer = (-d ".svn" || -d ".git");
+my $is_developer = 0; #Packaged code is not developer
 
-my ($lmcd_h) = eval { build_libmemcached() };
-if ($@) {
-    warn "Unable to build libmemcached: $@\n";
-    warn "Aborted.\n";
-    exit 0; # tell cpan testers that this is not a failure
-}
+#my ($lmcd_h) = eval { build_libmemcached() };
+#if ($@) {
+#    warn "Unable to build libmemcached: $@\n";
+#    warn "Aborted.\n";
+#    exit 0; # tell cpan testers that this is not a failure
+#}
+#extract_libmemcached_constants();
+#extract_libmemcached_functions();
 
 my %opts;
 if (my $gccversion = $Config{gccversion}) {     # ask gcc to be more pedantic
@@ -54,7 +55,7 @@
         $opts{DEFINE} .= ' -Wmissing-prototypes';
     }
 }
-$opts{LIBS} = ["-lstdc++"]; # else error: libmemcached.so: undefined symbol: __gxx_personality_v0
+$opts{LIBS} = ["-lstdc++ -lmemcached"]; # else error: libmemcached.so: undefined symbol: __gxx_personality_v0
 $opts{OPTIMIZE} = "-g"  if $opt_g;
 $opts{CCFLAGS}  = "-pg" if $opt_pg;
 my $coverage_flags = "";
@@ -76,14 +77,14 @@
     AUTHOR              => 'Tim Bunce <Tim.Bunce@pobox.com>',
     VERSION_FROM        => 'libmemcached.pm',
     ABSTRACT_FROM       => 'libmemcached.pm',
-    INC                 => "-I$lmcd_inst/include",
-    # We want to link to *our* private libmemcached and not one that
-    # might already be installed on the system. The LIBS config gets
-    # appended to the link command line, so if we used "-L$dir -lmemcached"
-    # then the installed lib would get preference over ours.
-    # So we explicitly refer to our static library. That also avoids the
-    # need to worry about what library might get used at runtime.
-    LDFROM           => '$(OBJECT)'." $lmcd_built_lib",
+#    INC                 => "-I$lmcd_inst/include",
+#    # We want to link to *our* private libmemcached and not one that
+#    # might already be installed on the system. The LIBS config gets
+#    # appended to the link command line, so if we used "-L$dir -lmemcached"
+#    # then the installed lib would get preference over ours.
+#    # So we explicitly refer to our static library. That also avoids the
+#    # need to worry about what library might get used at runtime.
+#    LDFROM           => '$(OBJECT)'." $lmcd_built_lib",
     PREREQ_PM           => {
         'Test::More' => 0,
     },
@@ -128,7 +129,6 @@
 LMCD_SRC=$lmcd_src
 LMCD_API_VER=$lmcd_api_ver
 LMCD_INST=$lmcd_inst
-LMCD_BUILT_LIB=$lmcd_built_lib
 }.q{
 coverclean:
 	$(COVER) -delete
@@ -146,9 +146,7 @@
 	-cd $(LMCD_SRC) && $(MAKE) distclean
 
 
-libmemcached.c : $(XSUBPPDIR)/ParseXS.pm typemap
-
-$(OBJECT) : $(LMCD_BUILT_LIB)
+#libmemcached.c : $(XSUBPPDIR)/ParseXS.pm typemap
 
 svnmanifest::
 	svn list -R -r HEAD | sort |grep -v '/$$' > MANIFEST
--- a/MANIFEST
+++ b/MANIFEST
@@ -34,724 +34,6 @@
 README.md
 responses.csv
 responses.txt
-src/libmemcached/aclocal.m4
-src/libmemcached/AUTHORS
-src/libmemcached/build-aux/config.guess
-src/libmemcached/build-aux/config.sub
-src/libmemcached/build-aux/depcomp
-src/libmemcached/build-aux/install-sh
-src/libmemcached/build-aux/ltmain.sh
-src/libmemcached/build-aux/missing
-src/libmemcached/build-aux/test-driver
-src/libmemcached/ChangeLog
-src/libmemcached/clients/client_options.h
-src/libmemcached/clients/execute.cc
-src/libmemcached/clients/execute.h
-src/libmemcached/clients/generator.cc
-src/libmemcached/clients/generator.h
-src/libmemcached/clients/include.am
-src/libmemcached/clients/memaslap.c
-src/libmemcached/clients/memcapable.cc
-src/libmemcached/clients/memcat.cc
-src/libmemcached/clients/memcp.cc
-src/libmemcached/clients/memdump.cc
-src/libmemcached/clients/memerror.cc
-src/libmemcached/clients/memexist.cc
-src/libmemcached/clients/memflush.cc
-src/libmemcached/clients/memparse.cc
-src/libmemcached/clients/memping.cc
-src/libmemcached/clients/memrm.cc
-src/libmemcached/clients/memslap.cc
-src/libmemcached/clients/memstat.cc
-src/libmemcached/clients/memtouch.cc
-src/libmemcached/clients/ms_atomic.h
-src/libmemcached/clients/ms_conn.c
-src/libmemcached/clients/ms_conn.h
-src/libmemcached/clients/ms_memslap.h
-src/libmemcached/clients/ms_setting.c
-src/libmemcached/clients/ms_setting.h
-src/libmemcached/clients/ms_sigsegv.c
-src/libmemcached/clients/ms_sigsegv.h
-src/libmemcached/clients/ms_stats.c
-src/libmemcached/clients/ms_stats.h
-src/libmemcached/clients/ms_task.c
-src/libmemcached/clients/ms_task.h
-src/libmemcached/clients/ms_thread.c
-src/libmemcached/clients/ms_thread.h
-src/libmemcached/clients/utilities.cc
-src/libmemcached/clients/utilities.h
-src/libmemcached/configure
-src/libmemcached/configure.ac
-src/libmemcached/COPYING
-src/libmemcached/docs/conf.py.in
-src/libmemcached/docs/include.am
-src/libmemcached/example/byteorder.cc
-src/libmemcached/example/byteorder.h
-src/libmemcached/example/include.am
-src/libmemcached/example/interface_v0.cc
-src/libmemcached/example/interface_v1.cc
-src/libmemcached/example/memcached_light.cc
-src/libmemcached/example/memcached_light.h
-src/libmemcached/example/storage.cc
-src/libmemcached/example/storage.h
-src/libmemcached/libhashkit-1.0/algorithm.h
-src/libmemcached/libhashkit-1.0/behavior.h
-src/libmemcached/libhashkit-1.0/configure.h
-src/libmemcached/libhashkit-1.0/configure.h.in
-src/libmemcached/libhashkit-1.0/digest.h
-src/libmemcached/libhashkit-1.0/function.h
-src/libmemcached/libhashkit-1.0/has.h
-src/libmemcached/libhashkit-1.0/hashkit.h
-src/libmemcached/libhashkit-1.0/hashkit.hpp
-src/libmemcached/libhashkit-1.0/include.am
-src/libmemcached/libhashkit-1.0/str_algorithm.h
-src/libmemcached/libhashkit-1.0/strerror.h
-src/libmemcached/libhashkit-1.0/string.h
-src/libmemcached/libhashkit-1.0/types.h
-src/libmemcached/libhashkit-1.0/visibility.h
-src/libmemcached/libhashkit/aes.cc
-src/libmemcached/libhashkit/aes.h
-src/libmemcached/libhashkit/algorithm.cc
-src/libmemcached/libhashkit/algorithm.h
-src/libmemcached/libhashkit/behavior.cc
-src/libmemcached/libhashkit/common.h
-src/libmemcached/libhashkit/crc32.cc
-src/libmemcached/libhashkit/digest.cc
-src/libmemcached/libhashkit/encrypt.cc
-src/libmemcached/libhashkit/fnv_32.cc
-src/libmemcached/libhashkit/fnv_64.cc
-src/libmemcached/libhashkit/function.cc
-src/libmemcached/libhashkit/has.cc
-src/libmemcached/libhashkit/hashkit.cc
-src/libmemcached/libhashkit/hashkit.h
-src/libmemcached/libhashkit/hashkitcon.h.in
-src/libmemcached/libhashkit/hsieh.cc
-src/libmemcached/libhashkit/include.am
-src/libmemcached/libhashkit/include.m4
-src/libmemcached/libhashkit/is.h
-src/libmemcached/libhashkit/jenkins.cc
-src/libmemcached/libhashkit/ketama.cc
-src/libmemcached/libhashkit/md5.cc
-src/libmemcached/libhashkit/murmur.cc
-src/libmemcached/libhashkit/murmur3.cc
-src/libmemcached/libhashkit/murmur3.h
-src/libmemcached/libhashkit/murmur3_api.cc
-src/libmemcached/libhashkit/nohsieh.cc
-src/libmemcached/libhashkit/one_at_a_time.cc
-src/libmemcached/libhashkit/rijndael.cc
-src/libmemcached/libhashkit/rijndael.hpp
-src/libmemcached/libhashkit/str_algorithm.cc
-src/libmemcached/libhashkit/strerror.cc
-src/libmemcached/libhashkit/string.cc
-src/libmemcached/libhashkit/string.h
-src/libmemcached/libmemcached-1.0/alloc.h
-src/libmemcached/libmemcached-1.0/allocators.h
-src/libmemcached/libmemcached-1.0/analyze.h
-src/libmemcached/libmemcached-1.0/auto.h
-src/libmemcached/libmemcached-1.0/basic_string.h
-src/libmemcached/libmemcached-1.0/behavior.h
-src/libmemcached/libmemcached-1.0/callback.h
-src/libmemcached/libmemcached-1.0/callbacks.h
-src/libmemcached/libmemcached-1.0/configure.h
-src/libmemcached/libmemcached-1.0/configure.h.in
-src/libmemcached/libmemcached-1.0/defaults.h
-src/libmemcached/libmemcached-1.0/delete.h
-src/libmemcached/libmemcached-1.0/deprecated_types.h
-src/libmemcached/libmemcached-1.0/dump.h
-src/libmemcached/libmemcached-1.0/encoding_key.h
-src/libmemcached/libmemcached-1.0/error.h
-src/libmemcached/libmemcached-1.0/exception.hpp
-src/libmemcached/libmemcached-1.0/exist.h
-src/libmemcached/libmemcached-1.0/fetch.h
-src/libmemcached/libmemcached-1.0/flush.h
-src/libmemcached/libmemcached-1.0/flush_buffers.h
-src/libmemcached/libmemcached-1.0/get.h
-src/libmemcached/libmemcached-1.0/hash.h
-src/libmemcached/libmemcached-1.0/include.am
-src/libmemcached/libmemcached-1.0/limits.h
-src/libmemcached/libmemcached-1.0/memcached.h
-src/libmemcached/libmemcached-1.0/memcached.hpp
-src/libmemcached/libmemcached-1.0/options.h
-src/libmemcached/libmemcached-1.0/parse.h
-src/libmemcached/libmemcached-1.0/platform.h
-src/libmemcached/libmemcached-1.0/quit.h
-src/libmemcached/libmemcached-1.0/result.h
-src/libmemcached/libmemcached-1.0/return.h
-src/libmemcached/libmemcached-1.0/sasl.h
-src/libmemcached/libmemcached-1.0/server.h
-src/libmemcached/libmemcached-1.0/server_list.h
-src/libmemcached/libmemcached-1.0/stats.h
-src/libmemcached/libmemcached-1.0/storage.h
-src/libmemcached/libmemcached-1.0/strerror.h
-src/libmemcached/libmemcached-1.0/struct/allocator.h
-src/libmemcached/libmemcached-1.0/struct/analysis.h
-src/libmemcached/libmemcached-1.0/struct/callback.h
-src/libmemcached/libmemcached-1.0/struct/include.am
-src/libmemcached/libmemcached-1.0/struct/memcached.h
-src/libmemcached/libmemcached-1.0/struct/result.h
-src/libmemcached/libmemcached-1.0/struct/sasl.h
-src/libmemcached/libmemcached-1.0/struct/server.h
-src/libmemcached/libmemcached-1.0/struct/stat.h
-src/libmemcached/libmemcached-1.0/struct/string.h
-src/libmemcached/libmemcached-1.0/t/c_sasl_test.c
-src/libmemcached/libmemcached-1.0/t/c_test.c
-src/libmemcached/libmemcached-1.0/t/cc_test.cc
-src/libmemcached/libmemcached-1.0/t/include.am
-src/libmemcached/libmemcached-1.0/touch.h
-src/libmemcached/libmemcached-1.0/triggers.h
-src/libmemcached/libmemcached-1.0/types.h
-src/libmemcached/libmemcached-1.0/types/behavior.h
-src/libmemcached/libmemcached-1.0/types/callback.h
-src/libmemcached/libmemcached-1.0/types/connection.h
-src/libmemcached/libmemcached-1.0/types/hash.h
-src/libmemcached/libmemcached-1.0/types/include.am
-src/libmemcached/libmemcached-1.0/types/return.h
-src/libmemcached/libmemcached-1.0/types/server_distribution.h
-src/libmemcached/libmemcached-1.0/verbosity.h
-src/libmemcached/libmemcached-1.0/version.h
-src/libmemcached/libmemcached-1.0/visibility.h
-src/libmemcached/libmemcached/allocators.cc
-src/libmemcached/libmemcached/allocators.hpp
-src/libmemcached/libmemcached/analyze.cc
-src/libmemcached/libmemcached/array.c
-src/libmemcached/libmemcached/array.h
-src/libmemcached/libmemcached/assert.hpp
-src/libmemcached/libmemcached/auto.cc
-src/libmemcached/libmemcached/backtrace.cc
-src/libmemcached/libmemcached/backtrace.hpp
-src/libmemcached/libmemcached/behavior.cc
-src/libmemcached/libmemcached/behavior.hpp
-src/libmemcached/libmemcached/byteorder.cc
-src/libmemcached/libmemcached/byteorder.h
-src/libmemcached/libmemcached/callback.cc
-src/libmemcached/libmemcached/common.h
-src/libmemcached/libmemcached/connect.cc
-src/libmemcached/libmemcached/connect.hpp
-src/libmemcached/libmemcached/continuum.hpp
-src/libmemcached/libmemcached/csl/common.h
-src/libmemcached/libmemcached/csl/context.cc
-src/libmemcached/libmemcached/csl/context.h
-src/libmemcached/libmemcached/csl/include.am
-src/libmemcached/libmemcached/csl/parser.cc
-src/libmemcached/libmemcached/csl/parser.h
-src/libmemcached/libmemcached/csl/parser.yy
-src/libmemcached/libmemcached/csl/scanner.cc
-src/libmemcached/libmemcached/csl/scanner.h
-src/libmemcached/libmemcached/csl/scanner.l
-src/libmemcached/libmemcached/csl/server.h
-src/libmemcached/libmemcached/csl/symbol.h
-src/libmemcached/libmemcached/delete.cc
-src/libmemcached/libmemcached/do.cc
-src/libmemcached/libmemcached/do.hpp
-src/libmemcached/libmemcached/dump.cc
-src/libmemcached/libmemcached/encoding_key.cc
-src/libmemcached/libmemcached/encoding_key.h
-src/libmemcached/libmemcached/error.cc
-src/libmemcached/libmemcached/error.hpp
-src/libmemcached/libmemcached/exist.cc
-src/libmemcached/libmemcached/fetch.cc
-src/libmemcached/libmemcached/flag.cc
-src/libmemcached/libmemcached/flag.hpp
-src/libmemcached/libmemcached/flush.cc
-src/libmemcached/libmemcached/flush_buffers.cc
-src/libmemcached/libmemcached/get.cc
-src/libmemcached/libmemcached/hash.cc
-src/libmemcached/libmemcached/hash.hpp
-src/libmemcached/libmemcached/hosts.cc
-src/libmemcached/libmemcached/include.am
-src/libmemcached/libmemcached/initialize_query.cc
-src/libmemcached/libmemcached/initialize_query.h
-src/libmemcached/libmemcached/instance.cc
-src/libmemcached/libmemcached/instance.hpp
-src/libmemcached/libmemcached/internal.h
-src/libmemcached/libmemcached/io.cc
-src/libmemcached/libmemcached/io.h
-src/libmemcached/libmemcached/io.hpp
-src/libmemcached/libmemcached/is.h
-src/libmemcached/libmemcached/key.cc
-src/libmemcached/libmemcached/key.hpp
-src/libmemcached/libmemcached/libmemcached_probes.d
-src/libmemcached/libmemcached/libmemcached_probes.h
-src/libmemcached/libmemcached/memcached.cc
-src/libmemcached/libmemcached/memcached.h
-src/libmemcached/libmemcached/memcached.hpp
-src/libmemcached/libmemcached/memcached/protocol_binary.h
-src/libmemcached/libmemcached/memcached/README.txt
-src/libmemcached/libmemcached/memcached/vbucket.h
-src/libmemcached/libmemcached/memory.h
-src/libmemcached/libmemcached/namespace.cc
-src/libmemcached/libmemcached/namespace.h
-src/libmemcached/libmemcached/options.cc
-src/libmemcached/libmemcached/options.hpp
-src/libmemcached/libmemcached/parse.cc
-src/libmemcached/libmemcached/poll.cc
-src/libmemcached/libmemcached/poll.h
-src/libmemcached/libmemcached/purge.cc
-src/libmemcached/libmemcached/quit.cc
-src/libmemcached/libmemcached/quit.hpp
-src/libmemcached/libmemcached/response.cc
-src/libmemcached/libmemcached/response.h
-src/libmemcached/libmemcached/result.cc
-src/libmemcached/libmemcached/result.h
-src/libmemcached/libmemcached/sasl.cc
-src/libmemcached/libmemcached/sasl.hpp
-src/libmemcached/libmemcached/server.cc
-src/libmemcached/libmemcached/server.hpp
-src/libmemcached/libmemcached/server_instance.h
-src/libmemcached/libmemcached/server_list.cc
-src/libmemcached/libmemcached/server_list.hpp
-src/libmemcached/libmemcached/socket.hpp
-src/libmemcached/libmemcached/stats.cc
-src/libmemcached/libmemcached/storage.cc
-src/libmemcached/libmemcached/strerror.cc
-src/libmemcached/libmemcached/string.cc
-src/libmemcached/libmemcached/string.hpp
-src/libmemcached/libmemcached/touch.cc
-src/libmemcached/libmemcached/udp.cc
-src/libmemcached/libmemcached/udp.hpp
-src/libmemcached/libmemcached/util.h
-src/libmemcached/libmemcached/verbosity.cc
-src/libmemcached/libmemcached/version.cc
-src/libmemcached/libmemcached/version.hpp
-src/libmemcached/libmemcached/virtual_bucket.c
-src/libmemcached/libmemcached/virtual_bucket.h
-src/libmemcached/libmemcached/watchpoint.h
-src/libmemcached/libmemcached/windows.hpp
-src/libmemcached/libmemcachedinternal/include.am
-src/libmemcached/libmemcachedinternal/util/include.am
-src/libmemcached/libmemcachedprotocol-0.0/binary.h
-src/libmemcached/libmemcachedprotocol-0.0/callback.h
-src/libmemcached/libmemcachedprotocol-0.0/handler.h
-src/libmemcached/libmemcachedprotocol-0.0/include.am
-src/libmemcached/libmemcachedprotocol-0.0/vbucket.h
-src/libmemcached/libmemcachedprotocol/ascii_handler.c
-src/libmemcached/libmemcachedprotocol/ascii_handler.h
-src/libmemcached/libmemcachedprotocol/binary_handler.c
-src/libmemcached/libmemcachedprotocol/binary_handler.h
-src/libmemcached/libmemcachedprotocol/cache.c
-src/libmemcached/libmemcachedprotocol/cache.h
-src/libmemcached/libmemcachedprotocol/common.h
-src/libmemcached/libmemcachedprotocol/handler.c
-src/libmemcached/libmemcachedprotocol/include.am
-src/libmemcached/libmemcachedprotocol/pedantic.c
-src/libmemcached/libmemcachedutil-1.0/flush.h
-src/libmemcached/libmemcachedutil-1.0/include.am
-src/libmemcached/libmemcachedutil-1.0/ostream.hpp
-src/libmemcached/libmemcachedutil-1.0/pid.h
-src/libmemcached/libmemcachedutil-1.0/ping.h
-src/libmemcached/libmemcachedutil-1.0/pool.h
-src/libmemcached/libmemcachedutil-1.0/util.h
-src/libmemcached/libmemcachedutil-1.0/version.h
-src/libmemcached/libmemcachedutil/common.h
-src/libmemcached/libmemcachedutil/flush.cc
-src/libmemcached/libmemcachedutil/include.am
-src/libmemcached/libmemcachedutil/pid.cc
-src/libmemcached/libmemcachedutil/ping.cc
-src/libmemcached/libmemcachedutil/pool.cc
-src/libmemcached/libmemcachedutil/version.cc
-src/libmemcached/libtest/abort.cc
-src/libmemcached/libtest/alarm.cc
-src/libmemcached/libtest/alarm.h
-src/libmemcached/libtest/backtrace_test.cc
-src/libmemcached/libtest/binaries.cc
-src/libmemcached/libtest/binaries.h
-src/libmemcached/libtest/blobslap_worker.cc
-src/libmemcached/libtest/blobslap_worker.h
-src/libmemcached/libtest/callbacks.h
-src/libmemcached/libtest/client.cc
-src/libmemcached/libtest/client.hpp
-src/libmemcached/libtest/cmdline.cc
-src/libmemcached/libtest/cmdline.h
-src/libmemcached/libtest/collection.cc
-src/libmemcached/libtest/collection.h
-src/libmemcached/libtest/common.h
-src/libmemcached/libtest/comparison.cc
-src/libmemcached/libtest/comparison.hpp
-src/libmemcached/libtest/core.cc
-src/libmemcached/libtest/core.h
-src/libmemcached/libtest/core_count.cc
-src/libmemcached/libtest/cpu.cc
-src/libmemcached/libtest/cpu.hpp
-src/libmemcached/libtest/dns.cc
-src/libmemcached/libtest/dns.hpp
-src/libmemcached/libtest/dream.cc
-src/libmemcached/libtest/dream.h
-src/libmemcached/libtest/drizzled.cc
-src/libmemcached/libtest/drizzled.h
-src/libmemcached/libtest/error.h
-src/libmemcached/libtest/exception.cc
-src/libmemcached/libtest/exception.hpp
-src/libmemcached/libtest/exception/disconnected.hpp
-src/libmemcached/libtest/exception/fatal.cc
-src/libmemcached/libtest/exception/fatal.hpp
-src/libmemcached/libtest/formatter.cc
-src/libmemcached/libtest/formatter.hpp
-src/libmemcached/libtest/framework.cc
-src/libmemcached/libtest/framework.h
-src/libmemcached/libtest/gearmand.cc
-src/libmemcached/libtest/gearmand.h
-src/libmemcached/libtest/get.h
-src/libmemcached/libtest/has.cc
-src/libmemcached/libtest/has.hpp
-src/libmemcached/libtest/http.cc
-src/libmemcached/libtest/http.hpp
-src/libmemcached/libtest/include.am
-src/libmemcached/libtest/is_local.cc
-src/libmemcached/libtest/is_local.hpp
-src/libmemcached/libtest/is_pid.hpp
-src/libmemcached/libtest/killpid.cc
-src/libmemcached/libtest/killpid.h
-src/libmemcached/libtest/libtool.cc
-src/libmemcached/libtest/libtool.hpp
-src/libmemcached/libtest/lite.h
-src/libmemcached/libtest/m4/ax_lib_mysql.m4
-src/libmemcached/libtest/m4/ax_prog_mysqld.m4
-src/libmemcached/libtest/m4/mysql.m4
-src/libmemcached/libtest/main.cc
-src/libmemcached/libtest/memcached.cc
-src/libmemcached/libtest/memcached.h
-src/libmemcached/libtest/memcached.hpp
-src/libmemcached/libtest/poll_error.hpp
-src/libmemcached/libtest/port.cc
-src/libmemcached/libtest/port.h
-src/libmemcached/libtest/result.cc
-src/libmemcached/libtest/result.hpp
-src/libmemcached/libtest/result/base.hpp
-src/libmemcached/libtest/result/fail.hpp
-src/libmemcached/libtest/result/skip.hpp
-src/libmemcached/libtest/result/success.hpp
-src/libmemcached/libtest/run.gdb
-src/libmemcached/libtest/runner.cc
-src/libmemcached/libtest/runner.h
-src/libmemcached/libtest/server.cc
-src/libmemcached/libtest/server.h
-src/libmemcached/libtest/server_container.cc
-src/libmemcached/libtest/server_container.h
-src/libmemcached/libtest/signal.cc
-src/libmemcached/libtest/signal.h
-src/libmemcached/libtest/skiptest.cc
-src/libmemcached/libtest/socket.cc
-src/libmemcached/libtest/socket.hpp
-src/libmemcached/libtest/stream.h
-src/libmemcached/libtest/strerror.cc
-src/libmemcached/libtest/strerror.h
-src/libmemcached/libtest/string.hpp
-src/libmemcached/libtest/test.h
-src/libmemcached/libtest/test.hpp
-src/libmemcached/libtest/thread.hpp
-src/libmemcached/libtest/timer.cc
-src/libmemcached/libtest/timer.hpp
-src/libmemcached/libtest/tmpfile.cc
-src/libmemcached/libtest/tmpfile.hpp
-src/libmemcached/libtest/unittest.cc
-src/libmemcached/libtest/valgrind.h
-src/libmemcached/libtest/vchar.cc
-src/libmemcached/libtest/vchar.hpp
-src/libmemcached/libtest/version.h
-src/libmemcached/libtest/version.h.in
-src/libmemcached/libtest/visibility.h
-src/libmemcached/libtest/wait.cc
-src/libmemcached/libtest/wait.h
-src/libmemcached/libtest/yatl.h
-src/libmemcached/libtest/yatl.m4
-src/libmemcached/libtest/yatlcon.h.in
-src/libmemcached/m4/ax_add_am_macro.m4
-src/libmemcached/m4/ax_am_jobserver.m4
-src/libmemcached/m4/ax_am_macros.m4
-src/libmemcached/m4/ax_append_compile_flags.m4
-src/libmemcached/m4/ax_append_flag.m4
-src/libmemcached/m4/ax_append_link_flags.m4
-src/libmemcached/m4/ax_append_to_file.m4
-src/libmemcached/m4/ax_assert.m4
-src/libmemcached/m4/ax_check_compile_flag.m4
-src/libmemcached/m4/ax_check_library.m4
-src/libmemcached/m4/ax_check_link_flag.m4
-src/libmemcached/m4/ax_compiler_vendor.m4
-src/libmemcached/m4/ax_compiler_version.m4
-src/libmemcached/m4/ax_count_cpus.m4
-src/libmemcached/m4/ax_cxx_gcc_abi_demangle.m4
-src/libmemcached/m4/ax_debug.m4
-src/libmemcached/m4/ax_endian.m4
-src/libmemcached/m4/ax_file_escapes.m4
-src/libmemcached/m4/ax_gcc_atomic_builtins.m4
-src/libmemcached/m4/ax_harden_compiler_flags.m4
-src/libmemcached/m4/ax_hex_version.m4
-src/libmemcached/m4/ax_libevent.m4
-src/libmemcached/m4/ax_libmemcached.m4
-src/libmemcached/m4/ax_memcached.m4
-src/libmemcached/m4/ax_platform.m4
-src/libmemcached/m4/ax_print_to_file.m4
-src/libmemcached/m4/ax_prog_sphinx_build.m4
-src/libmemcached/m4/ax_pthread.m4
-src/libmemcached/m4/ax_pthread_timedjoin_np.m4
-src/libmemcached/m4/ax_restore_flags.m4
-src/libmemcached/m4/ax_sasl.m4
-src/libmemcached/m4/ax_save_flags.m4
-src/libmemcached/m4/ax_uuid.m4
-src/libmemcached/m4/ax_vcs_checkout.m4
-src/libmemcached/m4/ax_with_prog.m4
-src/libmemcached/m4/bottom.m4
-src/libmemcached/m4/byteorder.m4
-src/libmemcached/m4/deprecated.m4
-src/libmemcached/m4/fnv.m4
-src/libmemcached/m4/gearmand.m4
-src/libmemcached/m4/have_cinttypes.m4
-src/libmemcached/m4/have_cstdint.m4
-src/libmemcached/m4/hsieh.m4
-src/libmemcached/m4/include.am
-src/libmemcached/m4/libgearman.m4
-src/libmemcached/m4/libtool.m4
-src/libmemcached/m4/ltoptions.m4
-src/libmemcached/m4/ltsugar.m4
-src/libmemcached/m4/ltversion.m4
-src/libmemcached/m4/lt~obsolete.m4
-src/libmemcached/m4/memaslap.m4
-src/libmemcached/m4/murmur.m4
-src/libmemcached/m4/pandora_enable_dtrace.m4
-src/libmemcached/m4/protocol_binary.m4
-src/libmemcached/m4/setsockopt.m4
-src/libmemcached/m4/socket_send_flags.m4
-src/libmemcached/m4/visibility.m4
-src/libmemcached/Makefile.am
-src/libmemcached/Makefile.in
-src/libmemcached/man/hashkit_clone.3
-src/libmemcached/man/hashkit_crc32.3
-src/libmemcached/man/hashkit_create.3
-src/libmemcached/man/hashkit_fnv1_32.3
-src/libmemcached/man/hashkit_fnv1_64.3
-src/libmemcached/man/hashkit_fnv1a_32.3
-src/libmemcached/man/hashkit_fnv1a_64.3
-src/libmemcached/man/hashkit_free.3
-src/libmemcached/man/hashkit_functions.3
-src/libmemcached/man/hashkit_hsieh.3
-src/libmemcached/man/hashkit_is_allocated.3
-src/libmemcached/man/hashkit_jenkins.3
-src/libmemcached/man/hashkit_md5.3
-src/libmemcached/man/hashkit_murmur.3
-src/libmemcached/man/hashkit_value.3
-src/libmemcached/man/include.am
-src/libmemcached/man/libhashkit.3
-src/libmemcached/man/libmemcached.3
-src/libmemcached/man/libmemcached_check_configuration.3
-src/libmemcached/man/libmemcached_configuration.3
-src/libmemcached/man/libmemcached_examples.3
-src/libmemcached/man/libmemcachedutil.3
-src/libmemcached/man/memaslap.1
-src/libmemcached/man/memcached.3
-src/libmemcached/man/memcached_add.3
-src/libmemcached/man/memcached_add_by_key.3
-src/libmemcached/man/memcached_analyze.3
-src/libmemcached/man/memcached_append.3
-src/libmemcached/man/memcached_append_by_key.3
-src/libmemcached/man/memcached_behavior_get.3
-src/libmemcached/man/memcached_behavior_set.3
-src/libmemcached/man/memcached_callback_get.3
-src/libmemcached/man/memcached_callback_set.3
-src/libmemcached/man/memcached_cas.3
-src/libmemcached/man/memcached_cas_by_key.3
-src/libmemcached/man/memcached_clone.3
-src/libmemcached/man/memcached_create.3
-src/libmemcached/man/memcached_decrement.3
-src/libmemcached/man/memcached_decrement_with_initial.3
-src/libmemcached/man/memcached_delete.3
-src/libmemcached/man/memcached_delete_by_key.3
-src/libmemcached/man/memcached_destroy_sasl_auth_data.3
-src/libmemcached/man/memcached_dump.3
-src/libmemcached/man/memcached_exist.3
-src/libmemcached/man/memcached_exist_by_key.3
-src/libmemcached/man/memcached_fetch.3
-src/libmemcached/man/memcached_fetch_execute.3
-src/libmemcached/man/memcached_fetch_result.3
-src/libmemcached/man/memcached_flush_buffers.3
-src/libmemcached/man/memcached_free.3
-src/libmemcached/man/memcached_generate_hash.3
-src/libmemcached/man/memcached_generate_hash_value.3
-src/libmemcached/man/memcached_get.3
-src/libmemcached/man/memcached_get_by_key.3
-src/libmemcached/man/memcached_get_memory_allocators.3
-src/libmemcached/man/memcached_get_sasl_callbacks.3
-src/libmemcached/man/memcached_get_user_data.3
-src/libmemcached/man/memcached_increment.3
-src/libmemcached/man/memcached_increment_with_initial.3
-src/libmemcached/man/memcached_last_error_message.3
-src/libmemcached/man/memcached_lib_version.3
-src/libmemcached/man/memcached_mget.3
-src/libmemcached/man/memcached_mget_by_key.3
-src/libmemcached/man/memcached_mget_execute.3
-src/libmemcached/man/memcached_mget_execute_by_key.3
-src/libmemcached/man/memcached_pool.3
-src/libmemcached/man/memcached_pool_behavior_get.3
-src/libmemcached/man/memcached_pool_behavior_set.3
-src/libmemcached/man/memcached_pool_create.3
-src/libmemcached/man/memcached_pool_destroy.3
-src/libmemcached/man/memcached_pool_fetch.3
-src/libmemcached/man/memcached_pool_pop.3
-src/libmemcached/man/memcached_pool_push.3
-src/libmemcached/man/memcached_pool_release.3
-src/libmemcached/man/memcached_pool_st.3
-src/libmemcached/man/memcached_prepend.3
-src/libmemcached/man/memcached_prepend_by_key.3
-src/libmemcached/man/memcached_quit.3
-src/libmemcached/man/memcached_replace.3
-src/libmemcached/man/memcached_replace_by_key.3
-src/libmemcached/man/memcached_sasl_set_auth_data.3
-src/libmemcached/man/memcached_server_add.3
-src/libmemcached/man/memcached_server_count.3
-src/libmemcached/man/memcached_server_cursor.3
-src/libmemcached/man/memcached_server_list.3
-src/libmemcached/man/memcached_server_list_append.3
-src/libmemcached/man/memcached_server_list_count.3
-src/libmemcached/man/memcached_server_list_free.3
-src/libmemcached/man/memcached_server_push.3
-src/libmemcached/man/memcached_servers_parse.3
-src/libmemcached/man/memcached_set.3
-src/libmemcached/man/memcached_set_by_key.3
-src/libmemcached/man/memcached_set_memory_allocators.3
-src/libmemcached/man/memcached_set_sasl_callbacks.3
-src/libmemcached/man/memcached_set_user_data.3
-src/libmemcached/man/memcached_stat.3
-src/libmemcached/man/memcached_stat_execute.3
-src/libmemcached/man/memcached_stat_get_keys.3
-src/libmemcached/man/memcached_stat_get_value.3
-src/libmemcached/man/memcached_stat_servername.3
-src/libmemcached/man/memcached_strerror.3
-src/libmemcached/man/memcached_touch.3
-src/libmemcached/man/memcached_touch_by_key.3
-src/libmemcached/man/memcached_verbosity.3
-src/libmemcached/man/memcached_version.3
-src/libmemcached/man/memcapable.1
-src/libmemcached/man/memcat.1
-src/libmemcached/man/memcp.1
-src/libmemcached/man/memdump.1
-src/libmemcached/man/memerror.1
-src/libmemcached/man/memexist.1
-src/libmemcached/man/memflush.1
-src/libmemcached/man/memparse.1
-src/libmemcached/man/memping.1
-src/libmemcached/man/memrm.1
-src/libmemcached/man/memslap.1
-src/libmemcached/man/memstat.1
-src/libmemcached/man/memtouch.1
-src/libmemcached/mem_config.in
-src/libmemcached/NEWS
-src/libmemcached/README
-src/libmemcached/README.FIRST
-src/libmemcached/README.win32
-src/libmemcached/rpm/include.mk
-src/libmemcached/support/include.am
-src/libmemcached/support/libmemcached.pc.in
-src/libmemcached/support/libmemcached.spec
-src/libmemcached/support/libmemcached.spec.in
-src/libmemcached/support/set_benchmark.sh
-src/libmemcached/tests/basic.h
-src/libmemcached/tests/callbacks.h
-src/libmemcached/tests/cli.am
-src/libmemcached/tests/cpp_example.cc
-src/libmemcached/tests/cycle.cc
-src/libmemcached/tests/debug.h
-src/libmemcached/tests/deprecated.h
-src/libmemcached/tests/error_conditions.h
-src/libmemcached/tests/exist.h
-src/libmemcached/tests/failure.cc
-src/libmemcached/tests/hash_plus.cc
-src/libmemcached/tests/hash_results.h
-src/libmemcached/tests/hashkit_functions.cc
-src/libmemcached/tests/include.am
-src/libmemcached/tests/ketama.h
-src/libmemcached/tests/ketama_test_cases.h
-src/libmemcached/tests/ketama_test_cases_spy.h
-src/libmemcached/tests/keys.hpp
-src/libmemcached/tests/libmemcached-1.0/all_tests.cc
-src/libmemcached/tests/libmemcached-1.0/all_tests.h
-src/libmemcached/tests/libmemcached-1.0/all_tests_socket.cc
-src/libmemcached/tests/libmemcached-1.0/atomsmasher.cc
-src/libmemcached/tests/libmemcached-1.0/basic.cc
-src/libmemcached/tests/libmemcached-1.0/callback_counter.cc
-src/libmemcached/tests/libmemcached-1.0/callback_counter.h
-src/libmemcached/tests/libmemcached-1.0/callbacks.cc
-src/libmemcached/tests/libmemcached-1.0/debug.cc
-src/libmemcached/tests/libmemcached-1.0/deprecated.cc
-src/libmemcached/tests/libmemcached-1.0/dump.cc
-src/libmemcached/tests/libmemcached-1.0/dump.h
-src/libmemcached/tests/libmemcached-1.0/encoding_key.cc
-src/libmemcached/tests/libmemcached-1.0/encoding_key.h
-src/libmemcached/tests/libmemcached-1.0/error_conditions.cc
-src/libmemcached/tests/libmemcached-1.0/exist.cc
-src/libmemcached/tests/libmemcached-1.0/fetch_all_results.cc
-src/libmemcached/tests/libmemcached-1.0/fetch_all_results.h
-src/libmemcached/tests/libmemcached-1.0/generate.cc
-src/libmemcached/tests/libmemcached-1.0/generate.h
-src/libmemcached/tests/libmemcached-1.0/haldenbrand.cc
-src/libmemcached/tests/libmemcached-1.0/haldenbrand.h
-src/libmemcached/tests/libmemcached-1.0/include.am
-src/libmemcached/tests/libmemcached-1.0/internals.cc
-src/libmemcached/tests/libmemcached-1.0/ketama.cc
-src/libmemcached/tests/libmemcached-1.0/mem_functions.cc
-src/libmemcached/tests/libmemcached-1.0/mem_functions.h
-src/libmemcached/tests/libmemcached-1.0/memcached_get.cc
-src/libmemcached/tests/libmemcached-1.0/memcached_get.h
-src/libmemcached/tests/libmemcached-1.0/namespace.cc
-src/libmemcached/tests/libmemcached-1.0/parser.cc
-src/libmemcached/tests/libmemcached-1.0/parser.h
-src/libmemcached/tests/libmemcached-1.0/plus.cpp
-src/libmemcached/tests/libmemcached-1.0/pool.cc
-src/libmemcached/tests/libmemcached-1.0/print.cc
-src/libmemcached/tests/libmemcached-1.0/replication.cc
-src/libmemcached/tests/libmemcached-1.0/sasl.cc
-src/libmemcached/tests/libmemcached-1.0/server_add.cc
-src/libmemcached/tests/libmemcached-1.0/setup_and_teardowns.cc
-src/libmemcached/tests/libmemcached-1.0/setup_and_teardowns.h
-src/libmemcached/tests/libmemcached-1.0/stat.cc
-src/libmemcached/tests/libmemcached-1.0/stat.h
-src/libmemcached/tests/libmemcached-1.0/string.cc
-src/libmemcached/tests/libmemcached-1.0/touch.cc
-src/libmemcached/tests/libmemcached-1.0/virtual_buckets.cc
-src/libmemcached/tests/libmemcached_test_container.h
-src/libmemcached/tests/libmemcached_world.h
-src/libmemcached/tests/libmemcached_world_socket.h
-src/libmemcached/tests/mem_udp.cc
-src/libmemcached/tests/memc.hpp
-src/libmemcached/tests/memcapable.cc
-src/libmemcached/tests/memcat.cc
-src/libmemcached/tests/memcp.cc
-src/libmemcached/tests/memdump.cc
-src/libmemcached/tests/memerror.cc
-src/libmemcached/tests/memexist.cc
-src/libmemcached/tests/memflush.cc
-src/libmemcached/tests/memping.cc
-src/libmemcached/tests/memrm.cc
-src/libmemcached/tests/memslap.cc
-src/libmemcached/tests/memstat.cc
-src/libmemcached/tests/memtouch.cc
-src/libmemcached/tests/namespace.h
-src/libmemcached/tests/parser.am
-src/libmemcached/tests/parser.cc
-src/libmemcached/tests/pool.h
-src/libmemcached/tests/print.h
-src/libmemcached/tests/replication.h
-src/libmemcached/tests/runner.h
-src/libmemcached/tests/server_add.h
-src/libmemcached/tests/string.h
-src/libmemcached/tests/touch.h
-src/libmemcached/tests/virtual_buckets.h
-src/libmemcached/THANKS
-src/libmemcached/TODO
-src/libmemcached/util/daemon.cc
-src/libmemcached/util/daemon.hpp
-src/libmemcached/util/include.am
-src/libmemcached/util/instance.hpp
-src/libmemcached/util/log.hpp
-src/libmemcached/util/logfile.hpp
-src/libmemcached/util/operation.hpp
-src/libmemcached/util/pidfile.cc
-src/libmemcached/util/pidfile.hpp
-src/libmemcached/util/signal.hpp
-src/libmemcached/util/string.hpp
-src/libmemcached/version.m4
-src/libmemcached/win32/include.am
-src/libmemcached/win32/wrappers.h
-src/libmemcached.patch
-src/README
 t/00-load.t
 t/01-import.t
 t/02-create.t
